Package twisted :: Package internet :: Module interfaces

[show private | hide private]
[frames | no frames]

## Module twisted.internet.interfaces

Interface documentation.

API Stability: stable, other than IReactorUDP (semi-stable) and IReactorMulticast (unstable).

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Variable Summary
`MetaInterface` | `IConnector`
`MetaInterface` | `IConsumer`
`MetaInterface` | `IDelayedCall`
`MetaInterface` | `IFileDescriptor`
`MetaInterface` | `IFinishableConsumer`
`MetaInterface` | `IListeningPort`
`MetaInterface` | `IMulticastTransport`
`MetaInterface` | `Interface`
`MetaInterface` | `IProcessTransport`
`MetaInterface` | `IProducer`
`MetaInterface` | `IProtocol`
`MetaInterface` | `IProtocolFactory`
`MetaInterface` | `IPullProducer`
`MetaInterface` | `IPushProducer`
`MetaInterface` | `IReactorArbitrary`
`MetaInterface` | `IReactorCore`
`MetaInterface` | `IReactorFDSet`
`MetaInterface` | `IReactorMulticast`
`MetaInterface` | `IReactorPluggableResolver`
`MetaInterface` | `IReactorProcess`
`MetaInterface` | `IReactorSSL`
`MetaInterface` | `IReactorTCP`
`MetaInterface` | `IReactorThreads`
`MetaInterface` | `IReactorTime`
`MetaInterface` | `IReactorUDP`
`MetaInterface` | `IReactorUNIX`
`MetaInterface` | `IReadDescriptor`
`MetaInterface` | `IReadWriteDescriptor`
`MetaInterface` | `IResolver`
`MetaInterface` | `IResolverSimple`
`MetaInterface` | `IServiceCollection`
`MetaInterface` | `ISSLTransport`
`MetaInterface` | `ITCPTransport`
`MetaInterface` | `ITransport`
`MetaInterface` | `IUDPConnectedTransport`
`MetaInterface` | `IUDPTransport`
`MetaInterface` | `IWriteDescriptor`

Variable Details

### IConnector

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IConnector'>

### IConsumer

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IConsumer'>

### IDelayedCall

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IDelayedCall'>

### IFileDescriptor

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IFileDescriptor'>

### IFinishableConsumer

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IFinishableConsumer'>

### IListeningPort

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IListeningPort'>

### IMulticastTransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IMulticastTransport'>

### Interface

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.python.components.Interface'>

### IProcessTransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IProcessTransport'>

### IProducer

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IProducer'>

### IProtocol

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IProtocol'>

### IProtocolFactory

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IProtocolFactory'>

### IPullProducer

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IPullProducer'>

### IPushProducer

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IPushProducer'>

### IReactorArbitrary

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorArbitrary'>

### IReactorCore

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorCore'>

### IReactorFDSet

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorFDSet'>

### IReactorMulticast

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorMulticast'>

### IReactorPluggableResolver

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorPluggableResolver'>

### IReactorProcess

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorProcess'>

### IReactorSSL

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorSSL'>

### IReactorTCP

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorTCP'>

### IReactorThreads

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorThreads'>

### IReactorTime

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorTime'>

### IReactorUDP

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorUDP'>

### IReactorUNIX

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorUNIX'>

### IReadDescriptor

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReadDescriptor'>

### IReadWriteDescriptor

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReadWriteDescriptor'>

### IResolver

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IResolver'>

### IResolverSimple

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IResolverSimple'>

### IServiceCollection

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IServiceCollection'>

### ISSLTransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.ISSLTransport'>

### ITCPTransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.ITCPTransport'>

### ITransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.ITransport'>

### IUDPConnectedTransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IUDPConnectedTransport'>

### IUDPTransport

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IUDPTransport'>

### IWriteDescriptor

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IWriteDescriptor'>

Generated by Epydoc 1.1 on Thu May 8 13:18:27 2003 | http://epydoc.sf.net